Get the recording transcription for a message by passing the message id

http
GET https://services.leadconnectorhq.com/conversations/locations/{locationId}/messages/{messageId}/transcription

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Path parameters

NameTypeRequiredExampleDescription
locationIdstringYestDtDnQdgm2LXpyiqYvZ6Account ID as string
messageIdstringYestDtDnQdgm2LXpyiqYvZ6Message ID as string

Responses

200 - Gives the attached recording transcription to the message
  • mediaChannel (number, required): Media channel describes the user interaction channel Example: 1

  • sentenceIndex (number, required): Index of the sentence in the transcription Example: 1

  • startTime (number, required): Start time of the sentence in milliseconds Example: 34

  • endTime (number, required): End time of the sentence in milliseconds Example: 45

  • transcript (string, required): Transcript of the sentence Example: This call may be recorded for quality assurance purposes.

  • confidence (number, required): Confidence of the transcription Example: 0.5

json
{
  "mediaChannel": "1",
  "sentenceIndex": "1",
  "startTime": "34",
  "endTime": "45",
  "transcript": "This call may be recorded for quality assurance purposes.",
  "confidence": "0.5"
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}

Example

curl -X GET 'https://services.leadconnectorhq.com/conversations/locations/YOUR_locationId/messages/YOUR_messageId/transcription' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?